# HG changeset patch
# Node ID b5af5e56d088e9ce5b34543793de4f0265c7f538
# Parent  d377b39ae4bb8cd5185f1fc2ba6379800345988c
diff --git a/pidgin/pidginconversation.c b/pidgin/pidginconversation.c
--- a/pidgin/pidginconversation.c
+++ b/pidgin/pidginconversation.c
@@ -91,6 +91,19 @@
 	return g_markup_escape_text(topic, -1);
 }
 
+static char *
+pidgin_conversation_conversation_members_items_changed(G_GNUC_UNUSED PidginConversation *self,
+                                                       guint n_members)
+{
+	/* TRANSLATORS: This is a label for how many participants are in a
+	 * conversation.
+	 */
+	const char *format = g_dngettext(GETTEXT_PACKAGE, "%u Member",
+	                                 "%u Members", n_members);
+
+	return g_strdup_printf(format, n_members);
+}
+
 /**
  * pidgin_conversation_send_message:
  * @conversation: The instance.
@@ -445,6 +458,8 @@
 	gtk_widget_class_bind_template_callback(widget_class,
 	                                        pidgin_conversation_escape_topic);
 	gtk_widget_class_bind_template_callback(widget_class,
+	                                        pidgin_conversation_conversation_members_items_changed);
+	gtk_widget_class_bind_template_callback(widget_class,
 	                                        pidgin_conversation_get_status_label);
 	gtk_widget_class_bind_template_callback(widget_class,
 	                                        pidgin_conversation_get_status_page);
diff --git a/pidgin/resources/Conversations/conversation.ui b/pidgin/resources/Conversations/conversation.ui
--- a/pidgin/resources/Conversations/conversation.ui
+++ b/pidgin/resources/Conversations/conversation.ui
@@ -99,41 +99,60 @@
           </object>
         </property>
         <property name="sidebar">
-          <object class="GtkScrolledWindow">
-            <property name="hscrollbar-policy">never</property>
-            <property name="margin-bottom">6</property>
-            <property name="margin-end">6</property>
-            <property name="margin-start">6</property>
-            <property name="margin-top">6</property>
-            <property name="vscrollbar-policy">automatic</property>
-            <style>
-              <class name="sidebar"/>
-            </style>
+          <object class="GtkBox">
+            <property name="orientation">vertical</property>
+            <property name="vexpand">true</property>
+            <child>
+              <object class="GtkLabel">
+                <binding name="label">
+                  <closure type="gchararray" function="pidgin_conversation_conversation_members_items_changed">
+                    <lookup name="n_items" type="PurpleConversationMembers">
+                      <lookup name="members" type="PurpleConversation">
+                        <lookup name="conversation">PidginConversation</lookup>
+                      </lookup>
+                    </lookup>
+                  </closure>
+                </binding>
+              </object>
+            </child>
             <child>
-              <object class="GtkListView">
-                <property name="vexpand">1</property>
-                <property name="factory">
-                  <object class="GtkBuilderListItemFactory">
-                    <property name="resource">/im/pidgin/Pidgin3/conversationmemberlistitem.ui</property>
-                  </object>
-                </property>
-                <property name="model">
-                  <object class="GtkSingleSelection">
-                    <property name="autoselect">false</property>
+              <object class="GtkScrolledWindow">
+                <property name="hscrollbar-policy">never</property>
+                <property name="margin-bottom">6</property>
+                <property name="margin-end">6</property>
+                <property name="margin-start">6</property>
+                <property name="margin-top">6</property>
+                <property name="vscrollbar-policy">automatic</property>
+                <style>
+                  <class name="sidebar"/>
+                </style>
+                <child>
+                  <object class="GtkListView">
+                    <property name="vexpand">1</property>
+                    <property name="factory">
+                      <object class="GtkBuilderListItemFactory">
+                        <property name="resource">/im/pidgin/Pidgin3/conversationmemberlistitem.ui</property>
+                      </object>
+                    </property>
                     <property name="model">
-                      <object class="GtkSortListModel">
-                        <property name="sorter">
-                          <object class="GtkCustomSorter" id="memberlist_sorter"/>
+                      <object class="GtkSingleSelection">
+                        <property name="autoselect">false</property>
+                        <property name="model">
+                          <object class="GtkSortListModel">
+                            <property name="sorter">
+                              <object class="GtkCustomSorter" id="memberlist_sorter"/>
+                            </property>
+                            <binding name="model">
+                              <lookup name="members" type="PurpleConversation">
+                                <lookup name="conversation">PidginConversation</lookup>
+                              </lookup>
+                            </binding>
+                          </object>
                         </property>
-                        <binding name="model">
-                          <lookup name="members" type="PurpleConversation">
-                            <lookup name="conversation">PidginConversation</lookup>
-                          </lookup>
-                        </binding>
                       </object>
                     </property>
                   </object>
-                </property>
+                </child>
               </object>
             </child>
           </object>
